QGIS Application - Bug report #10265
Avoid intersections fails in many cases
2014-05-14 08:01 AM - Bernhard Strobl

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18697
Description

avoid intersections does only work when digitizing new features. It does not work at all with existing features.
IMHOQ it is not very intuitive that snapping works on existing features and avoid intersections does not.
Cases where it does not work:

1. copy/paste feature, see #4997

2. move existing feature

3. change feature using the node tool

avoid intersections seems to be implemented when digitizing a new feature is finished. So solution would be to add it to all feature
changes (QgsVectorLayer's geometryChanged and featureAdded signals).

checked with two polygon layers in current master

History

#1 - 2014-05-20 05:25 AM - Andreas Neumann

| agree. It is annoying that the "avoid intersection" rule cannot be enforced when modifying features after they have been created.

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
